import React from 'react';
import { PropsFromStyles } from 'react-style-system';
import { TooltipProps } from './types';
declare const useStyles: <Props_1 extends import("react-style-system").StyleProps<{
    root: string;
    top: string;
    left: string;
    bottom: string;
    right: string;
    tooltipContainer: string;
}>>(props: Props_1, component?: string | React.ComponentClass<any, any> | React.FunctionComponent<any> | undefined) => {
    Root: React.ComponentType<any>;
    styles: {
        root: string;
        top: string;
        left: string;
        bottom: string;
        right: string;
        tooltipContainer: string;
    } & {
        cssVariableObject: {
            [key: string]: string;
        };
    };
} & Pick<Props_1, Exclude<keyof Props_1, "style" | "color" | "surface" | "styles" | "className">>;
interface Props extends PropsFromStyles<typeof useStyles> {
    title: React.ReactNode;
    children: (tooltipProps: TooltipProps) => void;
    position?: 'top' | 'bottom' | 'left' | 'right';
}
declare function Tooltip(props: Props): JSX.Element;
export default Tooltip;
