import { DefaultTheme } from './defaultTheme';
declare type RecursivePartial<T> = {
    [P in keyof T]?: T[P] extends (infer U)[] ? RecursivePartial<U>[] : T[P] extends object ? RecursivePartial<T[P]> : T[P];
};
/**
 * recursively merges a base object with an incoming object
 */
export declare function recursiveMerge<T, U extends RecursivePartial<T> & {
    [key: string]: any;
}>(base: T, incoming: U): T & U;
declare function createTheme<T extends RecursivePartial<DefaultTheme> & {
    [key: string]: any;
}>(partialTheme?: T): DefaultTheme & T;
export default createTheme;
