export declare type Breakpoint = 'mobile' | 'tablet' | 'desktop' | 'desktopLarge';
declare const defaultTheme: {
    media: {
        up(value: Breakpoint): string;
        down(value: Breakpoint): string;
        between(min: Breakpoint, max: Breakpoint): string;
        mobile: string;
        tablet: string;
        desktop: string;
        desktopLarge: string;
    };
    fontStatic: {
        h1: string;
        h2: string;
        h3: string;
        h4: string;
        h5: string;
        h6: string;
        subtitle1: string;
        subtitle2: string;
        body1: string;
        body2: string;
        button: string;
        caption: string;
        overline: string;
    };
    weight: {
        light: 300;
        normal: 400;
        semiBold: 600;
        bold: 700;
        black: 900;
    };
    readonly h1: string;
    readonly h2: string;
    readonly h3: string;
    readonly h4: string;
    readonly h5: string;
    readonly h6: string;
    readonly subtitle1: string;
    readonly subtitle2: string;
    readonly body1: string;
    readonly body2: string;
    readonly caption: string;
    readonly button: string;
    readonly overline: string;
    surface: string;
    brand: string;
    readonly accent: string;
    readonly danger: string;
    warning: string;
    readonly bland: "#ccc" | "#555";
    zIndex: {
        appBar: 1100;
        drawer: 1200;
        modal: 1300;
        notification: 1400;
        tooltip: 1500;
    };
    borderRadius: string;
    space: (n: number) => string;
    gap: (n: number) => string;
    block: (n: number) => string;
    duration: {
        short: string;
        standard: string;
        long: string;
    };
    shadows: {
        subtle: string;
        standard: string;
        emphasis: string;
    };
};
export declare type DefaultTheme = typeof defaultTheme;
export default defaultTheme;
